List agent billing plans
curl --request GET \
--url https://api.hyperline.co/v1/agents/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperline.co/v1/agents/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperline.co/v1/agents/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"id": "d18603dd-7285-4bf5-a45e-88d7de8f37c9",
"name": "Support agent plan",
"mode": "wallet",
"rate_card": null,
"windows": [
{
"key": "daily",
"duration_minutes": 1440,
"included_units": "10000"
}
],
"markup_percent": "20",
"overage_mode": "metered",
"overage_markup_percent": "10",
"overage_rate_card_id": "airc_overage",
"settlement_interval_minutes": 60,
"settlement_schedule": "calendar_month",
"per_seat_credits": "10000",
"grant_rollover_enabled": true,
"billing_item_ids": [
"prd_agent_plan"
],
"price_configuration_ids": [
"pcfg_agent_plan"
],
"using_policy_count": 1,
"is_default": false
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Agents
List agent billing plans
The workspace’s agent billing plans — the sellable offers: a mode (wallet, credits or windows), the rate card usage converts through, allowance windows, markups and per-seat credit grants. Paginated with take/skip.
GET
/
v1
/
agents
/
plans
List agent billing plans
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Billing mode.
- wallet: Charges a monetary wallet.
- credits: Consumes a credit balance.
- windows: Meters weighted units against rolling allowances.
Available options:
wallet, credits, windows Example:
"wallet"
Required range:
0 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I

